Bug 198975 - net-mgmt/icinga2 build package error when postgress is deselected, pkg-plist problem
Summary: net-mgmt/icinga2 build package error when postgress is deselected, pkg-plist ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Lars Engels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-27 23:32 UTC by Chad Payne
Modified: 2015-04-01 18:12 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (lme)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chad Payne 2015-03-27 23:32:31 UTC
When postgress is deselected, package build fails.

pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/icinga2/work/stage/usr/local/etc/icinga2/features-available/ido-pgsql.conf.sample: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/icinga2/work/stage/usr/local/share/icinga2-ido-pgsql/schema/pgsql.sql: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/icinga2/work/stage/usr/local/share/icinga2-ido-pgsql/schema/upgrade/2.0.2.sql: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/icinga2/work/stage/usr/local/share/icinga2-ido-pgsql/schema/upgrade/2.1.0.sql: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/icinga2/work/stage/usr/local/share/icinga2-ido-pgsql/schema/upgrade/2.2.0.sql: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-mgmt/icinga2/work/stage/usr/local/share/icinga2-ido-pgsql/schema/upgrade/2.3.0.sql: No such file or directory
*** Error code 1


The following patch to pkg-plist fixes the problem:

--- pkg-plist.o 2015-03-27 18:48:55.240526620 -0400
+++ pkg-plist   2015-03-27 18:49:26.269521916 -0400
@@ -84,11 +84,11 @@
 %%PORTDOCS%%%%DOCSDIR%%/markdown/7-icinga-template-library.md
 %%PORTDOCS%%%%DOCSDIR%%/markdown/8-cli-commands.md
 %%PORTDOCS%%%%DOCSDIR%%/markdown/9-monitoring-remote-systems.md
-%%DATADIR%%-ido-pgsql/schema/pgsql.sql
-%%DATADIR%%-ido-pgsql/schema/upgrade/2.0.2.sql
-%%DATADIR%%-ido-pgsql/schema/upgrade/2.1.0.sql
-%%DATADIR%%-ido-pgsql/schema/upgrade/2.2.0.sql
-%%DATADIR%%-ido-pgsql/schema/upgrade/2.3.0.sql
+%%PGSQL%%%%DATADIR%%-ido-pgsql/schema/pgsql.sql
+%%PGSQL%%%%DATADIR%%-ido-pgsql/schema/upgrade/2.0.2.sql
+%%PGSQL%%%%DATADIR%%-ido-pgsql/schema/upgrade/2.1.0.sql
+%%PGSQL%%%%DATADIR%%-ido-pgsql/schema/upgrade/2.2.0.sql
+%%PGSQL%%%%DATADIR%%-ido-pgsql/schema/upgrade/2.3.0.sql
 %%DATADIR%%/include/command-icinga.conf
 %%DATADIR%%/include/command-nscp-local.conf
 %%DATADIR%%/include/command-plugins-manubulon.conf
Comment 1 Lars Engels freebsd_committer 2015-03-28 19:03:10 UTC
Thank you, I'll investigate.
Comment 2 commit-hook freebsd_committer 2015-04-01 14:44:56 UTC
A commit references this bug:

Author: lme
Date: Wed Apr  1 14:44:19 UTC 2015
New revision: 382917
URL: https://svnweb.freebsd.org/changeset/ports/382917

Log:
  - Fix plist
  - Bump PORTREVISION

  PR:		198975
  Submitted by:	Chad Payne <cpayne@gmail.com>

Changes:
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/icinga2/pkg-plist
Comment 3 commit-hook freebsd_committer 2015-04-01 18:12:18 UTC
A commit references this bug:

Author: lme
Date: Wed Apr  1 18:11:31 UTC 2015
New revision: 382934
URL: https://svnweb.freebsd.org/changeset/ports/382934

Log:
  MFH: r382917

  - Fix plist
  - Bump PORTREVISION

  PR:		198975
  Submitted by:	Chad Payne <cpayne@gmail.com>
  Approved by:	portmgr (bapt)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/net-mgmt/icinga2/Makefile
  branches/2015Q2/net-mgmt/icinga2/pkg-plist